
Redmine - Defect #24726

Slow to load issues list

2017-01-02 01:19 - ge jin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Software

Redmine in docker from https://github.com/sameersbn/docker-redmine

MySQL 5.7.10 in docker

Redmine 3.2.0

Ruby 2.1.7p400 (2015-08-18 revision 51632) [x86_64-linux-gnu]

Rails 4.2.5

unicorn_rails v5.0.1

Nginx version: nginx/1.8.0

Hardware

Virtual machine, 8GB RAM, 4 virtual processor @ 1,6GHz

MySQL Configuration

```

[client]

port        = 3306

socket        = /var/run/mysqld/mysqld.sock

[mysqld_safe]

pid-file    = /var/run/mysqld/mysqld.pid

socket        = /var/run/mysqld/mysqld.sock

nice        = 0

[mysqld]

skip-host-cache

skip-name-resolve

user        = mysql

pid-file    = /var/run/mysqld/mysqld.pid

socket        = /var/run/mysqld/mysqld.sock

port        = 3306

basedir        = /usr

datadir        = /var/lib/mysql

tmpdir        = /tmp

default_password_lifetime=0

lc-messages-dir    = /usr/share/mysql

explicit_defaults_for_timestamp

innodb_buffer_pool_size=512M

symbolic-links=0

!includedir /etc/mysql/conf.d/

```

Very slow to load issues list

```

Started GET "/projects/qdata_db_appliance_development/issues" for 115.195.178.221 at 2017-01-02 00:15:27 +0000

Processing by IssuesController#index as HTML

Parameters: {"project_id"=>"qdata_db_appliance_development"}
https://github.com/sameersbn/docker-redmine


Current user: ge.jin@woqutech.com (id=2)

Rendered queries/_filters.html.erb (32.6ms)

Rendered queries/_columns.html.erb (3.6ms)

Rendered issues/_list.html.erb (3029.0ms)

Rendered issues/_sidebar.html.erb (7.0ms)

Rendered issues/index.html.erb within layouts/base (3089.1ms)

Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_headers.html.erb (0.6ms)

Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_add_form.html.erb (4.9ms)

Completed 200 OK in 3588ms (Views: 2579.4ms | ActiveRecord: 672.9ms)

```

History

#1 - 2017-01-02 03:14 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please use forum for question.
